require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", false);
SManager:AddFlowers(FlowerType.FLOWERS4, "flowersSS", false);
SManager:AddFlowers(FlowerType.FLOWERS5, "flowersVGR", true);

SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.IRA, "cakeOrganic", true);
SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", false);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMChicago", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMCancun", true);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMMadrid", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");